Package org.xnio

# Class ReadPropertyAction

java.lang.Object
org.xnio.ReadPropertyAction

All Implemented Interfaces:
  `PrivilegedAction<String>`

public final class ReadPropertyAction extends Object implements PrivilegedAction<String>
A simple property-read privileged action.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ReadPropertyAction(String propertyName, String defaultValue)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`run()`
Run the action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadPropertyAction

public ReadPropertyAction(String propertyName, String defaultValue)
Construct a new instance.

Parameters:
  `propertyName` - the property name
  `defaultValue` - the default value

## Method Details

### run

public String run()
Run the action.

Specified by:
  `run` in interface `PrivilegedAction<String>`
Returns:
  the property or default value